//=============================================================================
//  model view control midi device options
//=============================================================================
// Author  : Adrian Meyer
// Version : 0.2.0
// Log     :
//=============================================================================
// 05.03.2001 building class
//=============================================================================
// to do   :
//=============================================================================
#include <gtk/gtk.h>

#include "glade_interface.h"
#include "glade_support.h"

#include <mvcBase.h>
#include <mcIO.h>

#ifndef __MVCMIDIDEVICEOptions__
#define __MVCMIDIDEVICEOptions__
class TMvcMidiDeviceOptions: public TMvcBase
{
  private:
    GtkWidget* wndMidiDeviceOptions;                 // window
    TMidiIO* fIO;                                     // sequence
    GList* fInputDeviceNames;                         // list of input devices
    GList* fOutputDeviceNames;                        // list of output devices
  public:
    TMvcMidiDeviceOptions( TMidiIO* aIO );           // constructor
    ~TMvcMidiDeviceOptions( );                       // destructor
    GtkWidget* GetWidget( void );                     // read widget
    void SetData( void );                             // set data to gui
    void GetData( void );                             // read data from gui
};
#endif