//=============================================================================
//  model view control track properties
//=============================================================================
// Author  : Adrian Meyer
// Version : 0.2.0
// Log     :
//=============================================================================
// 27.03.2000 building class
//============================================================================
// to do   :
//=============================================================================
#include <gtk/gtk.h>

#include "glade_interface.h"
#include "glade_support.h"

#include <mvcBase.h>
#include <mcTrack.h>

#ifndef __MVCTRACKPROPERTIES__
#define __MVCTRACKPROPERTIES__
class TMvcTrackProperties: public TMvcBase
{
  private:
    GtkWidget* wndTrackProperties;                    // main window
    TMidiTrack* fTrack;                               // midi trac
    GList* fGMPatchNames;                             // List with patch names

  public:
    TMvcTrackProperties( TMidiTrack* aTrack );        // constructor
    ~TMvcTrackProperties( );                          // destructor
    GtkWidget* GetWidget( void );                     // read widget
    void SetData( void );                             // set data to gui
    void GetData( void );                             // read data from gui
    void SetEventType( short aEventType );            // set event type
};
#endif